PWD=$PBS_O_WORKDIR
cd $PWD

### List of nodes assigned  to  the job ###
cat $PBS_NODEFILE | tee pbs-nodes
NP=`wc -l pbs-nodes | awk '{print $1}'`

MPIBIN="cpi"
MPIPROG="cpi.c"

mpicc -o $MPIBIN $MPIPROG

date
echo "Job start on $NP cpus"
mpirun -np $NP -hostfile pbs-nodes $PWD/$MPIBIN
date
